Bug 241727 - can't set user permissions in luci
can't set user permissions in luci
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-29 16:57 EDT by Brian Brock
Modified: 2009-04-16 18:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0640
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 10:37:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Brock 2007-05-29 16:57:55 EDT
Description of problem:
homebase->user permissions->"Select a user" drop down selection is empty, even
with 10 users.

Version-Release number of selected component (if applicable):
luci-0.9.2-6.el5

How reproducible:
100% reproducible where attempted

create 10 users
go to the user permissions page, attempt to change permissions
find empty list of usernames
  
Actual results:
empty list

Expected results:
list of users with permissions to modify

Additional info:
selecting a storage system, and then clicking "Update Permissions" results in
the error dialog "The following errors were found:   You have not selected a
valid user."
Comment 1 RHEL Product and Program Management 2007-06-06 11:24:15 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jason Zhang 2007-08-02 17:08:10 EDT
I found a patch here http://sourceware.org/ml/cluster-cvs/2007-q2/msg00255.html
and apply it into /var/lib/luci/var/Data.fs binary database, now users can show
up in user permission page and we can assign cluster permission to users. But
the problem now turn into :

When the user login, it cannot access cluster assigned, the cluster tab show the
message "An error occurred when trying to contact any of the nodes in the cc_02
cluster." for each cluster.

Please take a look at this issue. We have deployed RHCS 4.5 on RHEL4.5, would
you release an intermediate release so we can fix this problem ASAP.



Comment 5 errata-xmlrpc 2007-11-07 10:37:51 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0640.html

Note You need to log in before you can comment on or make changes to this bug.